Bug 1008939 - Guard against incompatible postgresql plugin installation
Guard against incompatible postgresql plugin installation
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postgresql (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 07:30 EDT by Pavel Raiskup
Modified: 2014-07-18 04:19 EDT (History)
7 users (show)

See Also:
Fixed In Version: postgresql-9.3.4-8.fc22
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-18 04:19:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add postgresql(:MODULE_COMPAT_*) provides to postgresql-server (1.72 KB, patch)
2013-09-17 07:30 EDT, Pavel Raiskup
no flags Details | Diff
Add postgresql-server(:MODULE_COMPAT_X.X) to provides (2.98 KB, patch)
2013-09-19 09:52 EDT, Pavel Raiskup
no flags Details | Diff

  None (edit)
Description Pavel Raiskup 2013-09-17 07:30:55 EDT
Created attachment 798760 [details]
Add postgresql(:MODULE_COMPAT_*) provides to postgresql-server

All packages providing some plugins for PostgreSQL server should be rebuilt
(at least) every time major version bump of postgresql is done.

For that reason it would be useful to have some mechanism which will guard
against incompatible plugin installation.

Possible solution is in attachment (inspired by perl MODULE_COMPAT_ feature).
Please comment if you see this is really bad idea.
Comment 1 Tom Lane 2013-09-17 18:56:21 EDT
I would say you should make this depend on %majorversion and avoid the problem of having to monkey with the Provides: for every new minor version.  The PG project strenously avoids breaking plugins in minor-version updates, so it doesn't make sense to me to create more work for the package maintainer (and risk of bugs of omission) on the off chance that someday upstream will break that.
Comment 2 Pavel Raiskup 2013-09-19 09:52:09 EDT
Created attachment 799955 [details]
Add postgresql-server(:MODULE_COMPAT_X.X) to provides

> I would say you should make this depend on %majorversion and avoid the
> problem of having to monkey with the Provides: for every new minor version.
> The PG project strenously avoids breaking plugins in minor-version updates,
> so it doesn't make sense to me to create more work for the package
> maintainer (and risk of bugs of omission) on the off chance that someday
> upstream will break that.

Good points.  Thanks for looking at it, it is very appreciated.  If there was
some breakage in future, it would be still solvable.

Tom, would you have a minute for looking once again at updated patch?

Pavel
Comment 3 Pavel Raiskup 2014-06-21 16:00:36 EDT
Comment on attachment 799955 [details]
Add postgresql-server(:MODULE_COMPAT_X.X) to provides

This report is here for quite a long time - I'll push that patch during next
week (if there are no objections).

Note that 9.4 is coming and we will need mass rebuild of all plugins; which
is good chance to ask maintainers to add the "artificial" requirement.

Pavel
Comment 4 Pavel Raiskup 2014-07-18 04:19:51 EDT
http://pkgs.fedoraproject.org/cgit/postgresql.git/commit/?id=4f1d2a08337f3

Fixed & built in f21+

Note You need to log in before you can comment on or make changes to this bug.